package hpdos_rdma_offloaded.rdma_invalidation_protocol;

import java.io.IOException;
import java.nio.ByteBuffer;

import com.ibm.darpc.DaRPCMessage;

public class InvalidationRequest implements DaRPCMessage {
    public String key;
    private static char[] dst = new char[100];
    private int SERIALIZED_SIZE = 256;
    @Override
    public int write(ByteBuffer buffer) throws IOException {
        buffer.asCharBuffer().put(key);
        return SERIALIZED_SIZE;
    }

    @Override
    public void update(ByteBuffer buffer) throws IOException {
        buffer.asCharBuffer().get(dst, 0, 99);
        String s = new String(dst);
        s = s.trim();
        key = s;
    }

    @Override
    public int size() {
        
        return SERIALIZED_SIZE;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }
}
